features:
  primary:
    - name: "Automatically stop environments after a specified period"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/environments.html#environments-auto-stop'
      image_url: '/images/12_8/environment_auto_stop.png'
      reporter: ogolowinski
      stage: release
      categories:
        - "Review Apps"
        - "Release Orchestration"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/20956'
      description: |
        You can now set the expiration time to stop environments automatically after a certain idle period. This is especially useful for short-lived environments (such as the ones used for Review Apps) to avoid wasting resources. It can be set up through a new entry in `.gitlab-ci.yml`, for example, `auto_stop_in: 1 week`, and can be manually overridden from the GitLab UI. Users can also disable auto-stop by pinning their particular environment through the UI and keeping the environment running regardless of the setting.

        By preventing a situation where many stale environments are laying around, you don’t waste infrastructure resources by keeping them running. You also gain back development time that would otherwise be spent manually stopping environments.
